net.sf.jasperreports.data.ds

## Class DataSourceDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.AbstractClasspathAwareDataAdapter
    - - net.sf.jasperreports.data.ds.DataSourceDataAdapterImpl

- All Implemented Interfaces:
    ClasspathAwareDataAdapter, DataAdapter, DataSourceDataAdapter

      public class DataSourceDataAdapterImpl
      extends AbstractClasspathAwareDataAdapter
      implements DataSourceDataAdapter

  Version:
    $Id: DataSourceDataAdapterImpl.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceDataAdapterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFactoryClass()`
    `java.lang.String` | `getMethodToCall()`
    `void` | `setFactoryClass(java.lang.String factoryClass)`
    `void` | `setMethodToCall(java.lang.String methodToCall)`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapter

      `getClasspath, setClasspath`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.ClasspathAwareDataAdapter

      `getClasspath, setClasspath`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### DataSourceDataAdapterImpl

          public DataSourceDataAdapterImpl()

  - ### Method Detail

    - #### getFactoryClass

          public java.lang.String getFactoryClass()

      Specified by:
        `getFactoryClass` in interface `DataSourceDataAdapter`

    - #### setFactoryClass

          public void setFactoryClass(java.lang.String factoryClass)

      Specified by:
        `setFactoryClass` in interface `DataSourceDataAdapter`

    - #### getMethodToCall

          public java.lang.String getMethodToCall()

      Specified by:
        `getMethodToCall` in interface `DataSourceDataAdapter`

    - #### setMethodToCall

          public void setMethodToCall(java.lang.String methodToCall)

      Specified by:
        `setMethodToCall` in interface `DataSourceDataAdapter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com